=== modified file '.be/bugs/55bd43ce-953b-4233-83d2-2034ea63a805/values'
--- .be/bugs/55bd43ce-953b-4233-83d2-2034ea63a805/values	2007-12-17 13:11:59 +0000
+++ .be/bugs/55bd43ce-953b-4233-83d2-2034ea63a805/values	2007-12-18 01:30:03 +0000
@@ -15,7 +15,7 @@
 
 
 
-status=open
+status=closed
 
 
 

=== modified file 'shelf.py'
--- shelf.py	2007-08-14 20:10:52 +0000
+++ shelf.py	2007-12-18 01:30:03 +0000
@@ -60,6 +60,8 @@
     def display(self, patch=None):
         if patch is None:
             path = self.last_patch()
+            if path is None:
+                raise CommandError("No patches on shelf.")
         else:
             path = self.__path_from_user(patch)
         sys.stdout.write(open(path).read())

=== modified file 'tests/shelf_tests.py'
--- tests/shelf_tests.py	2007-07-24 17:10:08 +0000
+++ tests/shelf_tests.py	2007-12-18 01:30:03 +0000
@@ -624,3 +624,7 @@
     def test_shelf_help(self):
         self.assertContainsRe(cmd_shelf().help(),
                               'list\n.*List the patches on the current shelf')
+
+    def test_show_empty_shelf(self):
+        self.tree = self.make_branch_and_tree('.')
+        self.run_bzr_error(('No patches on shelf.',), 'shelf show')

